
      SUBROUTINE lurch(calcite_burial,weat_flux)

      INCLUDE 'parameter.include'
      INCLUDE 'common.ctrac'
      INCLUDE 'common.chemis'
      INCLUDE 'equivalence.include'

c     go from .08 to .14 with addition of 30 uM caco3
c     that's 50 uM per 0.1 Gt burial

      eps = ( weat_flux - calcite_burial )
     *      * 10.E-6

      IF ( ABS(weat_flux - calcite_burial) .LT. 0.01 )
     *     eps = 0.

      DO 10 i = 1, ie
         DO 10 j = 1, je
            DO 10 k = 1, ke
               sco212(i,j,k) = sco212(i,j,k) + eps
               sco213(i,j,k) = sco213(i,j,k) + eps
               sco214(i,j,k) = sco214(i,j,k) + eps
               alkali(i,j,k) = alkali(i,j,k) + 2 * eps
   10 CONTINUE

      WRITE(6,*) 'Lurched ahead ... added ',eps,' uM caco3'

      RETURN
      END
