      SUBROUTINE weather(caco3_gtyr,cao_gtyr,co2_gtyr)

      INCLUDE 'parameter.include'
      INCLUDE 'common.weather'

      INCLUDE 'common.biocon'

c       dphi
      INCLUDE 'common.topogr'

c       dzdl
      INCLUDE 'common.ctrac'

      INCLUDE 'common.chemis'

      INCLUDE 'equivalence.include'

c       ca

      gim = 0.006*dphi
      sumdzdl = 0.
      
      DO 10 i = 1, ie
         DO 10 j = 1, je
            sumdzdl = sumdzdl + dzdl(i,j,1)
   10 CONTINUE
      
      caco3_weat = caco3_gtyr * 1.E15 / ( gim * sumdzdl )
      cao_weat = cao_gtyr * 1.E15 / ( gim * sumdzdl )
      co2_degas = co2_gtyr * 1.E15 / ( gim * sumdzdl )
      
      DO 20 i = 1, ie
         DO 20 j = 1, je
            IF( dzdl(i,j,1) .GT. 0.) THEN
               sco212(i,j,1)
     .              = sco212(i,j,1)
     *              + caco3_weat
     $              + co2_degas
c               sco213(i,j,1)
c     .              = sco213(i,j,1)
c     *              + prweat
c     *              * pr13pr
c               sco214(i,j,1)
c     .              = sco214(i,j,1)
c     *              + prweat
c     *              * pr14pr
               alkali(i,j,1)
     .              = alkali(i,j,1)
     *              + 2.0 * caco3_weat
     *              + 2.0 * cao_weat
            ENDIF

   20    CONTINUE
         RETURN
         END
           
         


